Versões Amazon Aurora PostgreSQL e versões do mecanismo - Amazon Aurora

Versões Amazon Aurora PostgreSQL e versões do mecanismo

As versões da edição do Amazon Aurora compatível com PostgreSQL são atualizadas regularmente. Essas atualizações são aplicadas a clusters de banco de dados do Aurora PostgreSQL durante as janelas de manutenção do sistema. O cronograma de aplicação das atualizações depende da configuração da Região da AWS e da janela de manutenção para o cluster de banco de dados, além do tipo de atualização. Muitas das versões listadas incluem um número de versão do PostgreSQL e um número de versão do Amazon Aurora. Contudo, a partir das versões 13.3, 12.8, 11.13, 10.18 do PostgreSQL e para todas as outras versões posteriores, os números de versão do Aurora não são utilizados. Para determinar os números de versão de seu banco de dados do Aurora PostgreSQL, consulte Identificar as versões do Amazon Aurora PostgreSQL.

Para obter informações sobre extensões e módulos, consulte Versões de extensão para o Amazon Aurora PostgreSQL.

O Amazon Aurora for PostgreSQL 1.X (compatível com PostgreSQL 9.6.XX) chega ao fim da vida útil em 31 de janeiro de 2022. Para obter mais informações, consulte Anúncio: a data do fim da vida útil do Amazon Aurora PostgreSQL 9.6 é 31 de janeiro de 2022. Recomendamos que você atualize proativamente seus bancos de dados que executam o Aurora PostgreSQL 9.6 para o Amazon Aurora PostgreSQL 10 ou posterior, conforme sua conveniência, antes de 31 de janeiro de 2022. Para saber como, consulte Atualizar o mecanismo de banco de dados PostgreSQL para Aurora PostgreSQL.

Para obter mais informações sobre as versões, políticas e cronogramas disponíveis do Amazon Aurora, consulte Por quanto tempo as versões principais do Amazon Aurora permanecem disponíveis. Para obter mais informações sobre o suporte e outras políticas do Amazon Aurora, consulte Perguntas frequentes sobre o Amazon RDS.

Para determinar quais versões do mecanismo PostgreSQL estão disponíveis em uma região da AWS, use o comando describe-db-engine-versions da AWS CLI. Por exemplo:

aws rds describe-db-engine-versions --engine aurora-postgresql --query '*[].[EngineVersion]' --output text --region aws-region

Para obter uma lista de regiões da AWS, consulte Disponibilidade de regiões do Aurora PostgreSQL.

Para obter detalhes sobre as versões do PostgreSQL compatíveis com o Aurora PostgreSQL, consulte Notas de lançamento do Aurora PostgreSQL.